org.apache.ivy.plugins.report

## Class XmlReportOutputter

- java.lang.Object
- - org.apache.ivy.plugins.report.XmlReportOutputter

All Implemented Interfaces:
  ReportOutputter

    public class XmlReportOutputter
    extends java.lang.Object
    implements ReportOutputter

A Report outputter implementation using `XmlReportWriter` to write xml reports to the resolution cache.

### Field Summary

### Fields inherited from interface org.apache.ivy.plugins.report.ReportOutputter

`CONSOLE, XML`

### Constructor Summary

Constructors
Constructor and Description
`XmlReportOutputter()`

### Method Summary

Methods
`java.lang.String` `getName()`
`void` `output(ConfigurationResolveReport report, java.lang.String resolveId, java.lang.String[] confs, ResolutionCacheManager cacheMgr)`
`void` `output(ResolveReport report, ResolutionCacheManager cacheMgr, ResolveOptions options)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XmlReportOutputter

    public XmlReportOutputter()

### Method Detail

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `ReportOutputter`

#### output

    public void output(ResolveReport report,
              ResolutionCacheManager cacheMgr,
              ResolveOptions options)
                throws java.io.IOException

Specified by:
  `output` in interface `ReportOutputter`
Throws:
  `java.io.IOException`

#### output

    public void output(ConfigurationResolveReport report,
              java.lang.String resolveId,
              java.lang.String[] confs,
              ResolutionCacheManager cacheMgr)
                throws java.io.IOException

Throws:
  `java.io.IOException`